shibboleth-3.5.0

Macros
base.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <saml/base.h>`
`#include <shibsp/config_pub_win32.h>`
`#include <shibsp/paths.h>`

## Macros
#define | SHIBSP_IMPORT
#define | SHIBSP_EXPORT
#define | SHIBSP_DLLLOCAL
#define | SHIBSP_DLLPUBLIC
#define | SHIBSP_API SHIBSP_IMPORT
#define | SHIBSP_EXCEPTIONAPI(api)
#define | SHIBSP_LOGGING "console.logger"
| Controls default logging level of console tools and other situations where fully-configured logging isn't used.
#define | SHIBSP_INPROC_LOGGING "native.logger"
| Default name of SP in-process logging config file.
#define | SHIBSP_OUTOFPROC_LOGGING "shibd.logger"
| Default name of SP out-of-process logging config file.
#define | SHIBSP_LOGCAT "Shibboleth"
| Logging category for Service Provider functions.
#define | SHIBSP_TX_LOGCAT "Shibboleth-TRANSACTION"
| Logging category for Service Provider auditing.
#define | SHIBSP_CONFIG "shibboleth2.xml"
| Default name of configuration file.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Base header file definitions Must be included prior to including any other header